#### 4.22.3.30 semigroupGenerator

`Syntax:`
  `semigroupGenerator(` cone c `)`
`Type:`
  intvec
`Purpose:`
  if dimension(c)=linealityDimension(c)+1, then the quotient lattice of Z^n intersected with the span and Z^n intersected with the lineality space is Z^1 and the class of the cone is a semigroup. returns a generator of that semigroup. (like quotientLatticeBasis(cone c), but as intvec)
`Example:`

      LIB"gfanlib.so";
      intmat M[3][2]=
      1,0,
      0,1,
      -1,0;
      cone c=coneViaPoints(M);
      semigroupGenerator(c);
      ==> 0,1

User manual for Singular version 4-0-3, 2016, generated by texi2html.